Update public users configuration
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/public-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicUserVisitorEnabled": true,
"publicUserBotEnabled": true,
"publicUserSecure": true
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/public-users"
payload = {
"publicUserVisitorEnabled": True,
"publicUserBotEnabled": True,
"publicUserSecure": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
publicUserVisitorEnabled: true,
publicUserBotEnabled: true,
publicUserSecure: true
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/public-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"visitorEnabled": true,
"botEnabled": true,
"secure": true
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400301,
"message": "User is not a member of a channel"
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Update public users configuration
Update public users configuration
PUT
/
api
/
v3
/
network-settings
/
public-users
Update public users configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Information of public users to be updated.
⌘I